
From: "Randy.Dunlap" <rddunlap@osdl.org>

Fixes oops (reference to cdrom_root_table->child->) when CONFIG_SYSCTL=y
and CONFIG_PROC_FS=n.

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/cdrom/cdrom.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN drivers/cdrom/cdrom.c~cdrom-handle-sysctl-without-proc_fs drivers/cdrom/cdrom.c
--- 25/drivers/cdrom/cdrom.c~cdrom-handle-sysctl-without-proc_fs	Wed Nov 17 14:33:00 2004
+++ 25-akpm/drivers/cdrom/cdrom.c	Wed Nov 17 14:33:00 2004
@@ -3336,7 +3336,6 @@ ctl_table cdrom_cdrom_table[] = {
 
 /* Make sure that /proc/sys/dev is there */
 ctl_table cdrom_root_table[] = {
-#ifdef CONFIG_PROC_FS
 	{
 		.ctl_name	= CTL_DEV,
 		.procname	= "dev",
@@ -3344,7 +3343,6 @@ ctl_table cdrom_root_table[] = {
 		.mode		= 0555,
 		.child		= cdrom_cdrom_table,
 	},
-#endif /* CONFIG_PROC_FS */
 	{ .ctl_name = 0 }
 };
 static struct ctl_table_header *cdrom_sysctl_header;
_
